View Issue Details

IDProjectCategoryView StatusLast Update
00032563 - Current Dev ListBugpublic2019-09-20 23:30
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status feedbackResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0003256: What is the minimum screen size (in pixels) that HRD supports?
DescriptionSeems like some users expect to run HRD on very small monitors. However, we know that HRD doesn't scale well -- it doesn't include code to manage layout or content to smaller screen sizes.

We don't actively test or design with any specific display size in mind.

It would help to identify a minimum screen size (in pixels) which we support. By clearly communicating this to customers, we'll set their expectations; we'll also establish our own guideline for development and testing. Maybe we don't need to implement any scalying or layout code -- or maybe we do need to approach that issue.
TagsNo tags attached.
ModuleAll
Sub-ModuleAppearance/UI
TestingNot Started

Relationships

related to 0003040 closedPD9FER 5 - Closed w/o Action Logbook ALE window can not be resized vertically 
related to 0002657 closedPD9FER 5 - Closed w/o Action Request: option to turn off Tool Tips 

Activities

K7ZCZ

2019-03-21 15:38

administrator   ~0007716

In the triage call on 2019-03-21, we identified this issue and you agreed to evaluate the issue.

K7ZCZ

2019-03-21 15:40

administrator   ~0007717

The related issues show a couple of cases where the HRD UI becomes cumbersome on smaller screens.

WA9PIE

2019-08-13 22:13

administrator   ~0008401

I was testing our apps with a variety of pixel dimensions today. What I found is this...

The one thing I could find that I didn't like that was affected by the pixel dimensions was that when the width is less than about 1234 pixels, the "ribbon bar" above the logbook database view goes from one row to two rows (I have no other means to describe this, but it's the bar that has Add, Contest, Delete, View, Cut, Copy, Paste... LOTW Upload, LOTW Download). When this happens, then vertical screen real estate is consumed and (I think) it makes using the program a bit more awkward. (Too bad users can't add/remove buttons from that bar.)

Are we trying to define (a) minimum requirements or (b) a recommended minimum?

If (a), then we're saying that the software will be configured so that it will not run on machines with less than the "minimum requirements?"
If (b), then there's more flexibility if we're telling customers that this is what we "recommend."

That said... it appears to me that 1280x800 would be the appropriate screen size. I'm just not sure we need to force that and prevent the software from running if it doesn't meet that minimum.

K7ZCZ

2019-09-16 19:50

administrator   ~0008558

Right now, we have no design guidance for the product. If we wanted to invent new or change existing UI features, how tall or wide can that UI be? We don't know. I don't think (a) or (b) helps that issue.

Once we have a limit, we can enforce it however we see fit. Further, we should test to make sure we adhere to that limit -- that the product does correctly and adequately work on displays of that size (and larger).

Once we commit to that work, then we should probably implement a hard limit and not allow the applications to start when on a screen that doesn't meet the required colour depth and size.

WA9PIE

2019-09-20 23:30

administrator   ~0008569

My guidance is that the minimum screen size (in pixels) that HRD should support is 1280x800.

Issue History

Date Modified Username Field Change
2019-03-21 15:36 K7ZCZ New Issue
2019-03-21 15:37 K7ZCZ Relationship added related to 0002657
2019-03-21 15:37 K7ZCZ Assigned To => WA9PIE
2019-03-21 15:37 K7ZCZ Status new => assigned
2019-03-21 15:38 K7ZCZ Note Added: 0007716
2019-03-21 15:39 K7ZCZ Relationship added related to 0003040
2019-03-21 15:40 K7ZCZ Note Added: 0007717
2019-08-13 22:13 WA9PIE Note Added: 0008401
2019-08-13 22:14 WA9PIE Assigned To WA9PIE => K7ZCZ
2019-08-13 22:14 WA9PIE Status assigned => feedback
2019-09-16 19:50 K7ZCZ Note Added: 0008558
2019-09-16 19:51 K7ZCZ Assigned To K7ZCZ => WA9PIE
2019-09-20 23:30 WA9PIE Note Added: 0008569
2019-09-20 23:30 WA9PIE Assigned To WA9PIE => K7ZCZ